EDIT - task #10104

Cleanup after hibernate v5.4.33 migration
07/29/2022 02:34 PM - Andreas Mller

Status: New Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

for details see #10067 . Some cleanup is still needed.

Open issues are:
® Check for Queries with TypeQuery<String[] , do they exist and work correctly?

¢ deprecated calls in CdmEntityDaoBase and others, e.g. createCriteria (deprecated) => #10124

[ ]

check if FlushMode can be changed to JPA Flush Mode => #10124

)

decide on ReferringObjectMetadataFactorylmpl => failing tests in persistence (do we need this at all)

read all migration guides carefully again

Rennabel anttask for 001-cdm.h2.sql (#10094)

e remove constructs similar to ,new " + SortableTaxonNodeQueryResult.class.getName() in HQL Queries

Related issues:

Related to EDIT - task #10094: Reenabel anttask for 001-cdm.h2.sql creation New
Related to EDIT - task #10124: Adapt deprecated hibernate methods to suggeste... In Progress
Copied from EDIT - task #10067: Update to hibernate 5.4 (or higher) and hiber... Closed 05/23/2022 06/01/2022

Associated revisions

Revision d5¢57711 - 09/07/2022 10:54 PM - Andreas Miiller
ref #10104, ref 10067 update GrantedAuthorityRevokingRegistrationUpdateLister to new hibernate version (FlushMode still not adapted)

Revision 5fc5a35f - 09/07/2022 11:05 PM - Andreas Miiller
ref #10104, ref 10067 update GrantedAuthorityRevokingRegistrationUpdateLister to new hibernate FlushMode

History

#1 - 07/29/2022 02:34 PM - Andreas Miiller
- Category set to cdmlib
- Assignee set to Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.33

#2 - 07/29/2022 02:34 PM - Andreas Miiller
- Related to task #10094: Reenabel anttask for 001-cdm.h2.sql creation added

#3 - 07/29/2022 02:34 PM - Andreas Miiller
- Copied from task #10067: Update to hibernate 5.4 (or higher) and hibernate search 5.11 and lucene 5.5 added

#4 - 07/29/2022 02:39 PM - Andreas Miiller
- Description updated
#5 - 08/25/2022 10:56 AM - Andreas Miiller

- Description updated

#6 - 08/25/2022 10:56 AM - Andreas Miiller
- Related to task #10124: Adapt deprecated hibernate methods to suggested new methods added

#7 - 09/08/2022 12:22 PM - Andreas Miiller
- Tags set to 5.32-Remaining
- Priority changed from New to Highest

- Target version changed from Release 5.33 to Release 5.45
